<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  	echo '
      <form action="bic_ajouter.php" method="post" onsubmit="return bic_verification();">
      
      <h4 class="titre">Ajouter une Institution Financière</h4>';

      if(isset($bic)) {
          if (strlen($bic) != '11') {
          	echo "<p class='erreur'>Le Bank Identifier Code (BIC) a une longueur de <strong>".strlen($bic)." caractères</strong> alors qu'il doit avoir une longueur de <strong>11 exactement</strong>.</p>";
          }
      }
        
      echo '
      <table>
        <tr>
          <td width="200px">Bank Identifier Code (BIC) :</td>
          <td><input type="char" name="bic" id="bic" size="30" ';
            if(isset($bic)){ echo ' value="'.$bic.'" ';} echo '/> </td>
          <td>( 11 caractères )</td> 
        </tr>
      </table>';
      
      if ($connexion)// si connexion à la base réussi
      {
        mysql_select_db($base,$connexion) or die ("<p class='erreur'>La base est introuvable.</p>");
        
        $requete_mic = "Select * from freepay_mic;";
        $resultat_mic = mysql_query($requete_mic,$connexion); //connexion de la requete
        $ligne = mysql_fetch_assoc($resultat_mic); //affichage des résultats
        
        echo '
        <table>
          <tr>
            <td width="200px">Institution :</td>
            <td>
              <label>
                <select name="institutionmic">';
                while($ligne) {   
                   echo '
                   <option value="'.$ligne["mic"].$ligne["institutionmic"].'"'; 
                    if(isset($_POST['institutionmic'])){
                      if(substr($_POST['institutionmic'],4,strlen($_POST['institutionmic'])) == $ligne["institutionmic"]){ 
                        echo ' selected="selected"';  
                      }   
                    }else{
                      if("NO MARKET (EG, UNLISTED)" == $ligne["institutionmic"]){ 
                        echo 'selected="selected"';  
                      }  
                    }echo'>'.$ligne["institutionmic"].'</option>';
                  $ligne = mysql_fetch_assoc($resultat_mic);
                }
        
                  echo' 
                </select>
              </label>
            </td>
          </tr>
          
        </table>';
      }
      
      if(isset($branchebic)) {
          if (strlen($branchebic)=='3') {
            if ($branchebic!='XXX' and ($branchebic<1 or $branchebic>999)){
              echo "<p class='erreur'>Le code branche doit être <strong>XXX</strong> ou un nombre en entre <strong>001</strong> et <strong>999</strong>.</p>";
            }
          }else{
            echo "<p class='erreur'>Le code branche a une longueur de <strong>".strlen($branchebic)." caractères</strong> alors qu'il doit avoir une longueur de <strong>3 exactement</strong>.</p>";
          }
        }
      
      echo '
      <table>
        <tr>
          <td width="200px">Code Branche :</td>
          <td><input type="char" name="branchebic" id="branchebic" size="30" ';
            if(isset($branchebic)){ echo ' value="'.$branchebic.'" ';}else{ echo ' value="XXX" ';} echo '/> </td>
          <td>( Siège : XXX, Branche : 001 à 999 )</td> 
        </tr>
      </table>';
      
      if(isset($_POST['nominstitutionbic'])) 
        {
          if (strlen($_POST['nominstitutionbic'])<'4') {
            echo "<p class='erreur'>Le nom de la banque a une longueur de <strong>".strlen($_POST['nominstitutionbic'])." caractères</strong> alors qu'elle doit avoir une longueur de <strong>4</strong> au moins.</p>";
          }
        }
	
	echo '
      <table>
	       <tr>
		  <td width="200px">Nom de l\'Institution Financière :</td>
		  <td><input type="char" name="nominstitutionbic" id="nominstitutionbic" size="30" ';
		    if(isset($_POST['nominstitutionbic'])){ echo ' value="'.$_POST['nominstitutionbic'].'" ';} echo '/> </td>
		</tr>
	</table>';
      
      

      if(isset($villebic)) {
          if (strlen($villebic)<'2'){
            echo "<p class='erreur'>Le nom de la ville a une longueur de <strong>".strlen($villebic)." caractères</strong> alors qu'il doit avoir une longueur de <strong>2</strong> au moins.</p>";
          }
        }
      
      echo '
      <table>
        <tr>
          <td width="200px">Ville :</td>
          <td><input type="char" name="villebic" id="villebic" size="30" ';
            if(isset($villebic)){ echo ' value="'.$villebic.'" ';} echo '/> </td>
            <td>( exemple : PARIS )</td> 
        </tr>
      </table>';
      
       
      //Trouver le code du pays et vérifier le pays à partir de ISO 3166-1 alpha-2
      if(isset( $_POST['numpaysbic'] )){
        $codepaysbic = $ISONomPaysApha2[$_POST['numpaysbic']];
        $paysbic = $ISONomPays[$_POST['numpaysbic']];
      }else{
        if(isset($_SESSION['payscli'])){
          $codepaysbic = $_SESSION['payscli'];
        }
      }
      
      // Le Pays de la Banque

      echo '
      <table>
        <tr>
          <td width="200px">Pays :</td>
          <td>
            <label>
              <select name="numpaysbic">';
                for($i=0;$i<=$NbTotalPays;$i++){
                  echo '<option value="'.$i.'" '; 
                      if($codepaysbic == $ISONomPaysApha2[$i]){
                      echo 'selected="selected"';
                      }
                    echo'>'.$ISONomPays[$i].'</option>
                    ';
                } echo' 
              </select>
            </label>
          </td>
        </tr>
      </table>';
      
      
      if(isset($urlbic)) {
          if (strlen($urlbic)<'16') {
            echo "<p class='erreur'>L'URL de votre banque a une longueur de <strong>".strlen($urlbic)." caractères</strong> alors qu'elle doit avoir une longueur de <strong>16</strong> au moins.</p>";
          }
        }
        
      
      echo '
      <table>
        <tr>
          <td width="200px">URL :</td>
          <td><input type="char" name="urlbic" id="urlbic" size="30" ';
            if(isset($urlbic)){ echo ' value="'.$urlbic.'" ';} echo '/> </td>
          <td>( exemple : http://www.banque-exemple.com/ )</td> 
        </tr>
      </table>';
      
       echo '
      <table>
        <tr>
        <td width="200px"></td>
          <td><input type="submit" value="Ajouter" /><input type="reset" value="Annuler" /></td>
        </tr>
      </table>
      
      </form>';
      
      //Focus sur le champs du numero iban en javascript
      echo '<script type="text/javascript">document.getElementById("bic").focus();</script>';
      
      // vérifier la validité du numéro bic ( a faire)
      echo '<script type="text/javascript" src="bic_verification.js"></script>';

?>
